Skip to main content
GET
/
api
/
v0
/
computers
/
{computerId}
/
metrics
Get computer metrics
curl --request GET \
  --url https://api.factory.ai/api/v0/computers/{computerId}/metrics \
  --header 'Authorization: Bearer <token>'
[
  {
    "timestamp": "<string>",
    "cpuUsedPct": 123,
    "cpuCount": 123,
    "memUsed": 123,
    "memTotal": 123,
    "diskUsed": 123,
    "diskTotal": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://factory-docs-auto-sync-jp-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Factory API key or JWT token for authentication

Path Parameters

computerId
string
required

Computer ID

Query Parameters

start
string<date-time>

Start of time range (ISO 8601)

Response

Response for status 200

timestamp
string
required
cpuUsedPct
number
required
cpuCount
number
required
memUsed
number
required
memTotal
number
required
diskUsed
number
required
diskTotal
number
required